#
# spec file for package perl-DateTime-Format-W3CDTF
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-DateTime-Format-W3CDTF
Version:        0.08
Release:        1.16
%define cpan_name DateTime-Format-W3CDTF
Summary:        Parse and format W3CDTF datetime strings
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/G/GW/GWILLIAMS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(DateTime)
Requires:       perl(DateTime)
%{perl_requires}

%description
This module understands the W3CDTF date/time format, an ISO 8601 profile,
defined at http://www.w3.org/TR/NOTE-datetime. This format as the native
date format of RSS 1.0.

It can be used to parse these formats in order to create the appropriate
objects.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
PERL_USE_UNSAFE_INC=1 perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes examples README
%license LICENSE

%changelog
* Sun Dec 20 2020 Tina Müller <timueller+perl@suse.de>
- updated to 0.08
  see /usr/share/doc/packages/perl-DateTime-Format-W3CDTF/Changes
  DateTime::Format::W3CDTF
  ========================
  Created:      2003-02-25
  Home page:    <https://metacpan.org/release/DateTime-Format-W3CDTF/>
  Bug tracker:  <https://github.com/kasei/datetime-format-w3cdtf/issues>
  0.08  2020-12-18
  - (Update) Add 'strict' option to require timezone in time components (PR
    [#3] from @timgimyee).
  - (Update) Updated Makefile.PL with new metadata.
* Sat Apr  8 2017 coolo@suse.com
- updated to 0.07
  see /usr/share/doc/packages/perl-DateTime-Format-W3CDTF/Changes
  0.07  2017-04-07
  - Added explicit "use lib '.'" for use with perl 5.26.0 (RT #120822, PR #1 from
    James E Keenan).
* Wed Feb  9 2011 vcizek@novell.com
- update to 0.06
- Fixed parsing of datetimes with sub-second precision (RT #14179, patch from
  Andrew Turner).
* Tue Jan 11 2011 vcizek@novell.com
- update to 0.05
  - Fixed a long-standing bug where a time zone other than UTC that had an
    offset of 0 caused the format_datetime method to return the string "0". RT
    [#22802].
- bzipped tarbal
* Mon Dec 20 2010 vcizek@novell.com
- separated perl_requires and the rest required
* Thu Dec 16 2010 vcizek@novell.com
- switch to  %%perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Mon Nov 29 2010 coolo@novell.com
- called spec2changelog
* Sun Jun  8 2008 gerrit.beine@gmx.de
- first release 0.04
